#!/bin/sh
set -e
set -x

# If user is not root then exit
if [ "$(id -u)" != "0" ]; then
  echo "Must be run with sudo or by root"
  exit 77
fi

obnum=`hostname | cut -c 10- -`
echo "orangebox_number=${obnum}" > /etc/orange-box.conf


#check_orangebox_number() {
#local num=$1
#if [[ $((num/4)) -lt 1 ]]; then
#	echo "Your hostname should in the format of OrangeBox??: ex OrangeBox56"
#	exit 1;
#fi
#}


### According to OB networking re-design
. /etc/orange-box.conf
#check_orangebox_number $orangebox_number
internal_eth1_ip="172.27.$((orangebox_number)).1"
gateway_eth1_ip=172.27.$((orangebox_number+1)).254
internal_eth2_ip=172.27.$((orangebox_number+2)).1
gateway_eth2_ip=172.27.$((orangebox_number+3)).254
gateway_ip=$gateway_eth1_ip

setup_networking() {
	# Set up the two network interfaces
	internal_eth0_if="eth0"
	internal_eth1_if="eth1"
#	internal_eth2_if="eth2"

	# Disable NetworkManager 
	echo "manual" | sudo tee /etc/init/network-manager.override
	invoke-rc.d network-manager stop || true
		
	# gen network configuration /etc/network/interfaces
        cat >/etc/network/interfaces <<EOF
#Those are generated automatically by orange-box package
auto lo
iface lo inet loopback

#auto $internal_eth0_if
#iface $internal_eth0_if inet manual

auto $internal_eth1_if
iface $internal_eth1_if inet static
        address $internal_eth1_ip
        netmask 255.255.254.0
	metric 1 
        gateway ${gateway_eth1_ip}
        dns-nameservers ${internal_eth1_ip} ${gateway_ip}
EOF
ifup eth1
apt-get update
apt-get install -y bridge-utils

        cat >/etc/network/interfaces <<EOF
#Those are generated automatically by orange-box package
auto lo
iface lo inet loopback

#auto $internal_eth0_if
#iface $internal_eth0_if inet manual
auto $internal_eth1_if
iface $internal_eth1_if inet manual


auto br0
iface br0 inet static
        address ${internal_eth1_ip}
        netmask 255.255.254.0
        gateway ${gateway_ip}
        dns-nameservers ${internal_eth1_ip} ${gateway_ip}
        bridge_ports $internal_eth1_if
        bridge_stp off
        bridge_fd 0
        bridge_maxwait 0

EOF
        # Take down eth0, eth1, eth2
        ifdown --force $internal_eth0_if || true
	ifdown --force $internal_eth1_if || true
#	ifdown --force $internal_eth2_if || true
	# Take down br0 interface
	ifdown --force br0 || true
	# Bring up br0, eth2
#	ifup $internal_eth2_if
	ifup $internal_eth1_if
	ifup br0
        # Wait a moment for the network to normalize
	echo "INFO: Ensure networking has settled"
	#run-one-until-success ping -c 10 maas.ubuntu.com
}

setup_networking


exit 0
