#!/bin/bash

set -x

juju deploy cs:trusty/hdp-hadoop yarn-hdfs-master
juju deploy cs:trusty/hdp-hadoop compute-node
juju add-relation yarn-hdfs-master:namenode compute-node:datanode
juju add-relation yarn-hdfs-master:resourcemanager compute-node:nodemanager

juju deploy cs:trusty/mysql
#hive requires ROW binlog
juju set mysql binlog-format=ROW
# deploy Hive instance (hive-server2)

mkdir -p trusty
rm -rf trusty/hdp-hive
bzr branch lp:~bigdata-dev/charms/trusty/hdp-hive/trunk trusty/hdp-hive
juju deploy --repository=. local:trusty/hdp-hive hdphive
rm -rf trusty/elasticsearch
bzr branch lp:~bigdata-dev/charms/trusty/elasticsearch/trunk trusty/elasticsearch
juju deploy --repository=. local:trusty/elasticsearch elasticsearch

# associate Hive with MySQL
juju add-relation hdphive:db mysql:db
# associate Hive with HDFS Namenode
juju add-relation hdphive:namenode yarn-hdfs-master:namenode
# associate Hive with resourcemanager
juju add-relation hdphive:resourcemanager yarn-hdfs-master:resourcemanager

juju deploy cs:precise/kibana
juju add-relation elasticsearch kibana
juju expose kibana

