#!/bin/bash

#Install juju-deployer package
#sudo apt-get install -y juju-deployer

#Deploy the bundle
#TODO: soft link to bundle to stable and bleeding edge charm revisions

set -e

if [[ -d bundle-kubernetes/ ]]
then
    export JUJU_REPOSITORY=$PWD
    juju-deployer -c bundle-kubernetes/bundles.yaml
else
    echo "git clone git clone https://github.com/kapilt/bundle-kubernetes.git"
    git clone https://github.com/kapilt/bundle-kubernetes.git
    export JUJU_REPOSITORY=$PWD
    juju-deployer -c bundle-kubernetes/bundles.yaml

fi

if [ -d kubernetes/ ]
then
    echo "Kubernetes CLI tools and examples has been already downloaded"
else
    echo "Download Kubernetes CLI tools and examples"
    wget https://github.com/GoogleCloudPlatform/kubernetes/releases/download/v0.8.1/kubernetes.tar.gz
    tar zxvf kubernetes.tar.gz
    rm -f kubernetes.tar.gz
fi

echo "Run: $ export PATH=${PATH}:${PWD}/kubernetes/platforms/linux/amd64"
echo "Run: $ export KUBERNETES_MASTER=`juju status kubernetes-master | grep public-address | awk '{ print $2 }' | xargs host | grep address | awk '{ print $4 }'`"
echo "Run Kubernate examples, README is kubernetes/examples/cassandra/README.md"
