#!/bin/bash


set -eaux

echo http://people.canonical.com/~andreas/70b79a07968eeb59897a072caf3d31ad/license.txt > license-file
echo https://landscape-builder:sbFZfF8CxfSFPsp3XR1c@private-ppa.launchpad.net/landscape/lds-trunk/ubuntu > repo-file

if [ ! -f repo-file ]; then
    echo "repo-file not found! exiting"
    exit
fi
if [ ! -f license-file ]; then
    echo "license-file not found! exiting"
    exit
fi

rm bundles.yaml.orig

wget https://api.jujucharms.com/charmstore/v4/~landscape/bundle/landscape-dense-maas-15/archive/bundles.yaml.orig

export NEWbundle=`md5sum bundles.yaml.orig |awk '{print $1}'`
export OLDbundle=`md5sum bundles.yaml |awk '{print $1}'`

if [ "${OLDbundle}" != "${NEWbundle}" ];
then
   cp bundles.yaml bundles.yaml.bak
   cp bundles.yaml.orig bundles.yaml
fi

juju set-constraints tags=
time juju-deployer -c bundles.yaml landscape-dense-maas


echo "Deployment finished"
juju status haproxy
