#!/bin/bash

echo "installing wireshark and swift"
sudo apt-get install wireshark python-swiftclient


if grep juju /etc/maas/maas-proxy.conf ; then
	echo "maas-proxy already configured for juju"
else
	echo "enable maas-proxy to proxy secure connections to port 17070 for juju"
	echo 'acl SSL_ports port 17070    #for juju' | sudo tee --append /etc/maas/maas-proxy.conf
	sudo service maas-proxy restart
fi

echo "checking for calico networks in MAAS"
maas admin network read calico || maas admin networks create name=calico ip=10.15.0.0 netmask=255.255.0.0 description="project calico network" dns_servers="10.14.4.1"
maas admin network read calico-private || maas admin networks create name=calico-private ip=192.168.14.0 netmask=255.255.255.0 description="project calico private network" dns_servers="10.14.4.1"

echo "restarting bind"
sudo service bind9 restart
