#!/bin/bash
#
set -e

echo "This command is run to build a Calico IPv6 Trusty image on the Orange box Project Calico Openstack deployment"

source ~/nova.rc

#First check if the image already exists
glance image-list | grep Calico && echo "Calico image already exists" && exit

#Launch an instance
EXT_NET_UUID="$(nova net-list | grep ext_net | awk '{ print $2 }')"
IMAGE_UUID="$(nova image-list | grep Trusty | awk '{ print $2 }')"
FLAVOR_UUID="$(nova flavor-list | grep m1.medium | awk '{ print $2 }')"
nova boot --flavor $FLAVOR_UUID --key_name default --image $IMAGE_UUID --nic net-id=$EXT_NET_UUID --security_group default --user-data user-data calico-image-build
while nova list --status BUILD | grep calico; do
	sleep 5
done
sleep 60
nova stop calico-image-build


while nova list --status ACTIVE | grep calico; do
	sleep 10
done

nova image-create --poll calico-image-build "Calico Trusty IPv6"

echo "Created Calico compatible IPv6 Trusty Image"
#nova delete calico-image-build

exit

