#!/bin/bash

set -e
set -u

if [ "$(whoami)" != root ]; then
    echo 'Must be run with sudo or by root'
    exit 1
fi

serial_dev='/dev/ttyUSB0'
expect_script=./reset-configuration.exp

if [ ! -e "$serial_dev" ]; then
    echo 'USB-Serial console cable not found.'
    exit 1
fi

printf 'Are you sure you want to reset the switch configuration? [y/N] '
read -r answer

if [ "$answer" = y ]; then
    expect -f "$expect_script"
fi
